GET
/api/v1/affiliates/{id}/stats/timeseriesReturns one entry per day for the period, oldest first, for charting an affiliate's activity. Days without activity are included with zeros.
Query parameters
| Parameter | Type | Description |
|---|---|---|
period | string | Time period: 7d, 30d, 90d, or 12m. Defaults to 30d. |
Example request
bash
curl "https://anderro.com/api/v1/affiliates/part_abc123/stats/timeseries?period=7d" \
-H "x-api-key: sk_acct_your_key" \
-H "X-Anderro-Product: your_product_id"
Responses
200Daily stats
json
{
"data": [
{
"date": "2026-04-01",
"clicks": 21,
"signups": 3,
"conversions": 1,
"revenue_cents": 24500,
"commissions_cents": 4900
}
]
}